<?
include_once("mysql.php");
Error_Reporting(E_ALL & ~E_NOTICE);
include_once("include/check2.php");
include_once("include/ini.php");
include_once("include/antixak.php");
include_once("include/zag.php");
include_once("include/sesi.php");
if (isset($user)) {
include_once("include/udata.php");

switch($go) {

default:
if(!@file("MySql/base123/clan/$log.dat")){
echo"<small>
Добро пожаловать!<br/>
Вы можете создать клан чтобы захватывать замки и управлять ими.<br/>
Чтобы создать клан вам нужно 1000000 аден и 500000 SP.<br/>
<a href=\"clan.php?$sd&go=name\">Создать клан</a></small>";}else{

$text = @file("MySql/base123/clan/$log.dat");
$clan = explode(":||:",$text[0]);
echo"Добро пожаловать!<br/>
Имя клана: <b>$clan[1]</b><br/><br/>
<li><a href=\"clan.php?$sd&go=toclan\">Взять в клан</a><br/>
<li><a href=\"clan.php?$sd&go=items\">Склад клана</a><br/>
<li><a href=\"clan.php?$sd&go=zam\">Заместители клана</a><br/>
<li><a href=\"clan.php?$sd&go=logo\">Эмблема клана</a><br/>
<li><a href=\"clan.php?$sd&go=list\">Список клановцев</a><br/>
<li><a href=\"clan.php?$sd&go=status\">Задать звание</a><br/>
<li><a href=\"clan.php?$sd&go=lvl\">Поднять уровень клана</a><br/>
<li><a href=\"clan.php?$sd&go=delclan\">Удалить клан</a> (10,000,000 аден)
";

}
break;

case 'create':

if($udata[8]<"1000000"){echo"<small>У вас недостаточно денег!</small>";include_once"include/down.php"; exit; }
if($udata[31]<"500000"){echo"<small>У вас недостаточно SP!</small>";include_once"include/down.php"; exit; }
if ($name == "" || strlen($name) > 11 || strlen($name) < 3) { echo"Название клана не должно быть более 11 букв и не менее 3."; echo "</p></card></wml>"; exit;}
$name = htmlspecialchars(stripslashes($name));

$text=$log.':||:'.$name.':||::||:0:||:';

$fp=fopen("MySql/base123/clan/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("MySql/base123/clan/$log.dat", 0666);

$fp=fopen("MySql/base123/clan/name/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("MySql/base123/clan/name/$log.dat", 0666);

$udata[23]=$log;
$udata[31]=round($udata[31]-500000);

$udata[8]=round($udata[8]-1000000);

$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:'
;

$fp=fopen("MySql/base123/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

echo"<small>Клан успешно создан!</small>";

break;

case 'name':

if($udata[8]<"1000000"){echo"У вас недостаточно денег!";include_once"include/down.php"; exit; }
if($udata[19]<"500000"){echo"У вас недостаточно опыта!";include_once"include/down.php"; exit; }

echo "<form action=\"clan.php?go=go&".$sd."&go=create\" method=\"post\">Название клана:<br/>";
echo "<input name=\"name\" maxlength=\"11\" title=\"name\"/><br/>";
echo '<input type="submit" value="Создать" /></form>';

break;

case 'toclan':
if(!@file("MySql/base123/clan/$log.dat")){echo"У вас нет клана!"; include_once"include/down.php"; exit; }
echo "<form action=\"clan.php?go=go&".$sd."&go=tocreate\" method=\"post\">Введите ник:<br/>";
echo "<input name=\"name\" maxlength=\"20\" title=\"name\"/><br/>";
echo '<input type="submit" value="Взять в клан" /></form>';

break;

case 'tocreate':




if(!@file("MySql/base123/clan/$log.dat")){echo"<small>У вас нет клана!</small>"; include_once"include/down.php"; exit; }

$text = @file("MySql/base123/reg/$name.dat");
$clan = explode(":||:",$text[0]);

if(!empty($clan[23])){echo"<small>Этот игрок уже в другом клане.</small>";  include_once"include/down.php"; exit;}


$text = @file("MySql/base123/clan/$log.dat");
$clan = explode(":||:",$text[0]);

$name = htmlspecialchars(stripslashes($name));

if(!@file("MySql/base123/reg/$name.dat")){echo"<small>Такого игрока нет.</small>"; include_once"include/down.php"; exit; }

$text=$log.':||:'.$name.':||:'.$clan[1].':||:';

$fp=fopen("MySql/base123/clan/tmp/$name.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("MySql/base123/clan/tmp/$name.dat", 0666);

echo"<small>Предложение отослано!</small>";

break;

case 'ok':

$uzer = htmlspecialchars(stripslashes($uzer));

$text = @file("MySql/base123/clan/name/$uzer.dat");
$count=count($text);

for($i=0; $i<$count; $i++){
$data = explode("|",$text[$i]);
if(trim($data[1])==$log){echo"<small>Вы уже вступили в этот клан!</small>";
include_once"include/down.php"; exit; }
}

$text='|'.$log.'';

$fp=fopen("MySql/base123/clan/name/$uzer.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
@chmod ("MySql/base123/clan/name/$uzer.dat", 0666);


$fa = @file("MySql/base123/clan/tmp/$log.dat");
$clann = explode(":||:",$fa[0]);

$udata[23]=$clann[0];

$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$count.':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:'
;

$fp=fopen("MySql/base123/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

@unlink ("MySql/base123/clan/tmp/$log.dat");

echo"<small>Вы успешно вступили в клан!</small>";

break;

case 'del':

unlink ("MySql/base123/clan/tmp/$log.dat");

echo"<small>Вы отказались.</small>";

break;

case 'list':

if(@file("MySql/base123/clan/name/$log.dat")){

echo"<small>Нажмите на ник чтобы выгнать из клана.</small><br/>";
$file = @file("MySql/base123/clan/name/$log.dat");
$total = count($file);

if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){

$file = @file("MySql/base123/clan/name/$log.dat");
$file = array_reverse($file);
$data = explode("|",$file[$i]);
$i2=round($i+1);

$id=$total-$i-1;

$data[1]=trim($data[1]);

echo"<small><a href=\"clan.php?$sd&id=$id&go=out&name=$data[1]\">$data[1]</a></small><br/>";
}

if($total=="0"){echo"<small>В клане никого нет.</small>";}
}else{echo"<small>В клане никого нет.</small>";}

if ($start != 0) {echo '<a href="clan.php?start='.($start - 10).'&'.$sd.'&go=list">Назад</a> ';}

if ($total > $start + 10) {echo ' <a href="clan.php?start='.($start + 10).'&'.$sd.'&go=list">Далее</a>';}




break;

case 'out':

$fak = @file("MySql/base123/clan/name/$log.dat");
$okk = explode("|",$fak[$id]);

$pod=$okk[1];

if($_GET[name]==$pod){echo"Так и бан легко плучить..."; include_once"include/down.php"; exit;}

if(!@file("MySql/base123/clan/$log.dat")){echo"Такого клана не существует!"; include_once"include/down.php"; exit;}

$_GET[name] = htmlspecialchars(stripslashes($_GET[name]));

$file=file("MySql/base123/clan/name/$log.dat");

$fp=fopen("MySql/base123/clan/name/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$id]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

$fa = @file("MySql/base123/reg/$_GET[name].dat");
$udata = explode(":||:",$fa[0]);

$udata[23]="";

$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:'
;

$fp=fopen("MySql/base123/reg/$_GET[name].dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

echo"<small>Операция успешно завершена.</small>";

break;

case 'items':
if($udata[10]!=="Пусто"){echo'С одетым шлемом на склад нельзя зайти.<br/>';include_once"include/down.php"; exit;}else{
if($udata[11]!=="Пусто"){echo'С одетой робой на склад нельзя зайти.<br/>';include_once"include/down.php"; exit;}else{
if($udata[12]!=="Пусто"){echo'С одетым оружыем на склад нельзя зайти.<br/>';include_once"include/down.php"; exit;}else{
if($udata[13]!=="Пусто"){echo'С одетыми сапогами на склад нельзя зайти.<br/>';include_once"include/down.php"; exit;}else{
echo"<small>Нажмите на вещь чтобы положить её на склад клана.</small><br/>";}}}}

if(@file("MySql/base123/item/$log.dat")){

$file = @file("MySql/base123/item/$log.dat");
$total = count($file);

for ($i = 0; $i < $total; $i++){

$file = @file("MySql/base123/item/$log.dat");
$file = array_reverse($file);
$data = explode(":||:",$file[$i]);
$i2=round($i+1);

$id=$total-$i-1;

if($data[2]=="weapon"){
echo"<b><small><a href=\"clan.php?$sd&name=$data[4]&id=$id&go=tosklad\">$data[4]</a></small></b> <small>- ($data[2]) [+$data[0]]</small><br/>";}
if($data[2]=="golova"){
echo"<b><small><a href=\"clan.php?$sd&name=$data[4]&id=$id&go=tosklad\">$data[4]</a></small></b> <small>- ($data[2]) [+$data[0]]</small><br/>";}
if($data[2]=="nogi"){
echo"<b><small><a href=\"clan.php?$sd&name=$data[4]&id=$id&go=tosklad\">$data[4]</a></small></b> <small>- ($data[2]) [+$data[0]]</small><br/>";}
if($data[2]=="body"){
echo"<b><small><a href=\"clan.php?$sd&name=$data[4]&id=$id&go=tosklad\">$data[4]</a></small></b> <small>- ($data[2]) [+$data[0]]</small><br/>";}

}}else{echo"<small>У вас нет вещей.</small>";}




break;

case 'tosklad':



$id=$_GET['id'];
$name=$_GET['name'];

if($udata[10]=="$name" || $udata[11]=="$name" || $udata[12]=="$name" || $udata[13]=="$name"){echo"<small>Вы не можете положить на склад одетую вещь!</small>"; include_once"include/down.php"; exit;}
if($name=="Dragon Leather Armor Hight" || $name=="Dragon Leather Armor Hight*1" || $name=="Dragon Leather Armor Hight*2" || $name=="Dragon Leather Armor Hight*3" || $name=="Dragon Leather Armor Hight*4" || $name=="Dragon Leather Armor Hight*5" || $name=="Talum Blade*Dark Legion's Edge" || $name=="Talum Blade*Dark Legion's Edge*1" || $name=="Talum Blade*Dark Legion's Edge*2" || $name=="Talum Blade*Dark Legion's Edge*3" || $name=="Talum Blade*Dark Legion's Edge*4" || $name=="Talum Blade*Dark Legion's Edge*5" || $name=="Sealed Apella Brigadine" || $name=="Sealed Apella Brigadine*1" || $name=="Sealed Apella Brigadine*2" || $name=="Sealed Apella Brigadine*3" || $name=="Sealed Apella Brigadine*4" || $name=="Sealed Apella Brigadine*5"){
echo"<small>Нельзя передовать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}
if($name=="Olimpiad Medal"){echo"<small>Передача медалей ЗАПРЕЩЕНА!</small>"; include_once"include/down.php"; exit; }

$file=file("MySql/base123/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){

$datat = explode(":||:",$file[$i]);

if($datat[4]==$name){

$text=''.$datat[0].':||:'.$datat[1].':||:'.$datat[2].':||:'.$datat[3].':||:'.$datat[4].':||:';

$fp=fopen("MySql/base123/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);


$fp=fopen("MySql/base123/clan/sklad/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("MySql/base123/clan/sklad/$log.dat", 0666);
echo"<small>Вещь положена на склад.</small>";}}

break;

case 'logo':
if(@file("MySql/base123/clan/$udata[23].dat")){

$text = @file("MySql/base123/clan/$udata[23].dat");
$text = explode(":||:",$text[0]);
if($text[3]<"3"){echo"<small>Нужно иметь 3 уровень клана"; include_once"include/down.php"; exit;}}
$dira = opendir ("pic/clan");
while ($filea = readdir ($dira))
{if (( $filea != ".") && ($filea != ".."))
{$aa[]=$filea;}}
closedir ($dira);
$totala = count($aa);

for ($ia = 0; $ia < $totala; $ia++){

$data_namea[]=$aa[$ia];
}

foreach($data_namea as $ka=>$va)
{
$dat_screena[]="<img src=\"pic/clan/$data_namea[$ka]\" alt=\"$data_namea[$ka]\"/><small> - <a href=\"clan.php?$sd&name=$data_namea[$ka]&go=oklogo\">выбрать</a><br/></small>";

}


$totala = count($dat_screena);



if (empty($_GET['logs'])) $logs = 0;
else $logs = $_GET['logs'];
if ($totala < $logs + 10){ $end = $totala; }
else {$end = $logs + 10; }
for ($ia = $logs; $ia < $end; $ia++){

echo"$dat_screena[$ia]";

}


if ($logs != 0) {echo '<small><a href="clan.php?logs='.($logs - 10).'&'.$sd.'&go=logo">Назад</a> </small>';}
if ($totala > $logs + 10) {echo '<small> <a href="clan.php?logs='.($logs + 10).'&'.$sd.'&go=logo">Далее</a></small>';}

echo"<br/><small>Всего: $totala эмблем</small>";
break;
case 'oklogo':
$name = htmlspecialchars(stripslashes(addslashes($name)));
if(!@file("pic/clan/$name")){echo"<small>Такой эмблемы не существует.</small>"; include_once"include/down.php"; exit;}

$text = @file("MySql/base123/clan/$log.dat");
$data = explode(":||:",$text[0]);

$text=$data[0].':||:'.$data[1].':||:'.$name.':||:'.$data[3].':||:';

$fp=fopen("MySql/base123/clan/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

echo"<small>Эмблема успешно добавлена.</small>";
break;
case 'status':
echo "<form action=\"clan.php?$sd&go=savestatus\" method=\"post\">";
echo "<small>Звание:</small><br/>";
echo "<input name=\"statusus\" maxlength=\"100\"/><br/>";
echo '<input type="submit" value="Изменить"/></form>';
break;
case 'savestatus':
if(!@file("MySql/base123/reg/$log.dat")){echo"<small>Вы можете присвоить звание только себе.</small>"; include_once"include/down.php"; exit; }

if(@file("MySql/base123/clan/$log.dat")){

$text = @file("MySql/base123/clan/$log.dat");
$data = explode(":||:",$text[0]);
$nick=$_POST['nick'];
$statusus=$_POST['statusus'];
$text=$nick.':||:'.$statusus.':||:';
$fp=fopen("MySql/base123/clan/status/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
echo"<small>Вы успешно присвоили игроку $log звание:<br/> $statusus</small>"; include_once"include/down.php"; exit; }
echo'Вы можете присвоить звание только себе.<br/>';include_once"include/down.php"; exit;
break;
case 'lvl':
if($udata[8]<"15000000"){echo"<small>У вас недостаточно денег нужно 15000000 аден!</small>";include_once"include/down.php"; exit; }
if($udata[31]<"3000000"){echo"<small>У вас недостаточно SP нужно 3000000!</small>";include_once"include/down.php"; exit; }
if(@file("MySql/base123/clan/$udata[23].dat")){

$text = @file("MySql/base123/clan/$udata[23].dat");
$data = explode(":||:",$text[0]);
if($data[3]>"4"){echo"Больше 5 уровня клана делать нельзя"; include_once"include/down.php"; exit;}}
$file = @file("MySql/base123/item/$log.dat");
$total = count($file);

for ($i = 0; $i < $total; $i++){

$file = @file("MySql/base123/item/$log.dat");
$file = array_reverse($file);
$data = explode(":||:",$file[$i]);


if($data[4]=="Cradle of Creation" && $data[3]>="125"){
$text = @file("MySql/base123/clan/$log.dat");
$data = explode(":||:",$text[0]);
$data[3]=round($data[3]+1);
$text="$data[0]:||:$data[1]:||:$data[2]:||:$data[3]:||:";

$fp=fopen("MySql/base123/clan/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
$udata[31]=round($udata[31]-3000000);
$udata[8]=round($udata[8]-15000000);
$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:'
;

$fp=fopen("MySql/base123/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
echo"Вы успешно увеличили уровень клана"; include_once"include/down.php"; exit;}}
echo"<small>У Вас нету 125 Cradle of Creation достаньте их</small>";
break;

case 'sklad':

echo"<small>";

$file=@file("MySql/base123/clan/sklad/$log.dat");
$total=count($file);

if(!@$file || empty($file)){echo"Склад пуст.</small>"; include_once"include/down.php";
exit;}

if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){
$data=explode(":||:",$file[$i]);

$data[3]=str_replace("D","1",$data[3]);
$data[3]=str_replace("C","1",$data[3]);
$data[3]=str_replace("B","1",$data[3]);
$data[3]=str_replace("A","1",$data[3]);
$data[3]=str_replace("S","1",$data[3]);


if($data[4]!=""){
echo"<a href=\"clan.php?$sd&go=izsklad&id=$i&name=$data[4]\">$data[4]</a> [$data[3] штук]<br/>";
}
}
echo"</small>";

if ($start != 0) {echo '<small><a href="clan.php?start='.($start - 10).'&'.$sd.'&go=sklad">Назад</a> </small>';}

if ($total > $start + 10) {echo '<small> <a href="clan.php?start='.($start + 10).'&'.$s.'&go=sklad">Далее</a></small>';}


break;

case 'izsklad':

$id = htmlspecialchars(stripslashes($id));
$name = htmlspecialchars(stripslashes($name));

$file=@file("MySql/base123/clan/sklad/$log.dat");
$data=explode(":||:",$file[$id]);

if($data[4]==$name){

if($data[2]=="vesh"){

echo "<form action=\"sklad.php?$sd&name=$name&go=vesh2&id=$id\" method=\"post\"><small>Сколько?:</small><br/>";
echo "<input name=\"kol\" maxlength=\"10\" title=\"*N\" emptyok=\"true\"/><br/>";
echo '<input type="submit" value="Положить" /></form>';

include_once"include/down.php";
exit;
}
$text="$data[0]:||:$data[1]:||:$data[2]:||:$data[3]:||:$data[4]:||:";

$fp=fopen("MySql/base123/clan/sklad/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$id]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

if(!@file("MySql/base123/item/$log.dat")){
$fp=fopen("MySql/base123/item/$log.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("MySql/base123/item/$log.dat", 0666);
}else{

$fp=fopen("MySql/base123/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

}

echo"<small>Вещь взята со склада</small>";}else{echo"<small>Ошибка.</small>";}

break;
case 'delclan':
if(!@file("MySql/base123/clan/$log.dat")){echo"<small>У вас нет клана</small>"; include_once"include/down.php"; exit;}
if(@file("MySql/base123/ali/$log.dat")){echo"<small>Вы состоите в альянсе. Нужно выйти</small>"; include_once"include/down.php"; exit;}
if(@file("MySql/base123/ali/names/$log.dat")){echo"<small>Вы состоите в альянсе. Нужно выйти</small>"; include_once"include/down.php"; exit;}
if($udata[8]<"10000000"){echo"<small>У вас недостаточно денег! Нужно 10,000,000 аден<br/></small>";include_once"include/down.php"; exit; }
$file = @file("MySql/base123/clan/name/$log.dat");
$total = count($file);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){
$file = @file("MySql/base123/clan/name/$log.dat");
$file = array_reverse($file);
$data = explode("|",$file[$i]);
$i2=round($i+1);
$id=$total-$i-1;
$data[1]=trim($data[1]);
$text = @file("MySql/base123/reg/$data[1].dat");
$a = explode(":||:",$text[0]);
$text = @file("MySql/base123/reg/$data[1].dat");
$a = explode(":||:",$text[0]);
$text=$a[0].':||:'.$a[1].':||:'.$a[2].':||:'.$a[3].':||:'.$a[4].':||:'.$a[5].':||:'.$a[6].':||:'.$a[7].':||:'.$a[8].':||:'.$a[9].':||:'.$a[10].':||:'.$a[11].':||:'.$a[12].':||:'.$a[13].':||:'.$a[14].':||:'.$a[15].':||:'.$a[16].':||:'.$a[17].':||:'.$a[18].':||:'.$a[19].':||:'.$a[20].':||:'.$a[21].':||:'.$a[22].':||::||:'.$a[24].':||:'.$a[25].':||:'.$a[26].':||:'.$a[27].':||:'.$a[28].':||:'.$a[29].':||:'.$a[30].':||:'.$a[31].':||:'.$a[32].':||:'.$a[33].':||:'.$a[34].':||:'.$a[35].':||:'.$a[36].':||:'.$a[37].':||:'.$a[38].':||:'.$a[39].':||:'.$a[40].':||:'.$a[41].':||:'.$a[42].':||:'.$a[43].':||:'.$a[44].':||:'.$a[45].':||:'.$a[46].':||:'.$a[47].':||:'.$a[48].':||:'.$a[49].':||:'.$a[50].':||:'.$a[51].':||:'.$a[52].':||:'.$a[53].':||:'.$a[54].':||:'.$a[55].':||:'.$a[56].':||:'.$a[57].':||:'.$a[58].':||:'.$a[59].':||:'.$a[60].':||:'.$a[61].':||:'.$a[62].':||:'.$a[63].':||:'.$a[64].':||:'.$a[65].':||:'.$a[66].':||:'.$a[67].':||:'.$a[68].':||:'.$a[69].':||:'.$a[70].':||:'.$a[71].':||:'.$a[72].':||:'.$a[73].':||:'.$a[74].':||:'.$a[75].':||:'.$a[76].':||:'.$a[77].':||:'.$a[78].':||:'.$a[79].':||:'.$a[80].':||:'.$a[81].':||:'.$a[82].':||:'.$a[83].':||:'.$a[84].':||:'.$a[85].':||:'.$a[86].':||:'.$a[87].':||:'.$a[88].':||:'.$a[89].':||:'.$a[90].':||:'.$a[91].':||:'.$a[92].':||:'.$a[93].':||:'.$a[94].':||:'.$a[95].':||:'.$a[96].':||:'.$a[97].':||:'.$a[98].':||:'.$a[99].':||:'.$a[100].':||:'
;
$fp=fopen("MySql/base123/reg/$data[1].dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);}
$udata[8]=round($udata[8]-10000000);
$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||::||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:'
;

$fp=fopen("MySql/base123/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
@unlink ("MySql/base123/clan/$log.dat");
@unlink ("MySql/base123/clan/bank/$log.dat");
@unlink ("MySql/base123/clan/chat/$log.dat");
@unlink ("MySql/base123/clan/clanholl/$log.dat");
@unlink ("MySql/base123/clan/desk/$log.dat");
@unlink ("MySql/base123/clan/logs/$log.dat");
@unlink ("MySql/base123/clan/name/$log.dat");
@unlink ("MySql/base123/clan/site/$log.dat");
@unlink ("MySql/base123/clan/sklad/$log.dat");
@unlink ("MySql/base123/clan/status/$log.dat");
echo"Клан розпущен";
break;
case 'zam':
echo"Добавить заместителя<br/>";
echo'<form method="post" action="clan.php?'.$sd.'&go=zamadd">';
echo "<input name=\"nick\" maxlength=\"11\" title=\"name\"/><br/>";
echo '<input class="button" type="submit" value="Добавить"/></form>';
echo"<a href=\"clan.php?$sd&go=lookzam\">Список заместителей</a><br/>";
break;
case 'zamadd':
$udat = @file("MySql/base123/reg/$nick.dat");
$udat = explode(":||:",$udat[0]);
if($nick==$log){echo "Вы неможете добавить себя в заместители"; include_once"include/down.php"; exit; }
if(!@file("MySql/base123/reg/$nick.dat")){echo"Такого игрока нет в базе данных"; include_once"include/down.php"; exit; }
$fak = @file("MySql/base123/clan/name/$log.dat");
$okk = explode("|",$fak[$id]);
$text = @file("MySql/base123/reg/$nick.dat");
$zamist = explode(":||:",$text[0]);
if($zamist[23]==$log){
$text = @file("MySql/base123/clan/zam/$log.dat");
$count=count($text);

for($i=0; $i<$count; $i++){
$data = explode("|",$text[$i]);
if(trim($data[1])==$nick){echo"Этот персонаж уже заместитель!";
include_once"include/down.php"; exit; }
}
$text='|'.$nick.'';

$fp=fopen("MySql/base123/clan/zam/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
@chmod ("MySql/base123/clan/zam/$log.dat", 0666);
echo"Вы зделали нового заместителя $nick";
}else{
echo"Такого персонажа нет в нашем клане";}
break;
case 'lookzam':
echo"<b>Список заместителей</b><br/>";

if(@file("MySql/base123/clan/zam/$log.dat")){
$file = @file("MySql/base123/clan/zam/$log.dat");
$total = count($file);

if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 5){ $end = $total; }
else {$end = $start + 5; }
for ($i = $start; $i < $end; $i++){

$file = @file("MySql/base123/clan/zam/$log.dat");
$file = array_reverse($file);
$data = explode("|",$file[$i]);
$i2=round($i+1);

$id=$total-$i-1;

$data[1]=trim($data[1]);

echo"<li><a href=\"search.php?$sd&nick=$data[1]&go=go\">$data[1]</a><br/> <a href=\"clan.php?$sd&id=$id&go=delzam&name=$data[1]\">Удалить</a> ";
if(!@file("MySql/base123/other/$data[1].dat")){
echo"Offline<br/>";}else{
$text = @file("MySql/base123/other/$data[1].dat");
$data = explode("||",$text[0]);
$time=time()-150;
if($data[0]>=$time){
echo" [<font color=\"ADFF2F\">On-Line</font>]<br/>";}else{
echo" [<font color=\"FF0000\">Offline</font>]<br/>";
}
}
}
if($total=="0"){echo"Заместителей нет.";}
}else{echo"Заместителей нет.";}
if ($start != 0) {echo '<a href="clan.php?start='.($start - 5).'&'.$sd.'&go=lookzam">Назад</a> ';}

if ($total > $start + 5) {echo ' <a href="clan.php?start='.($start + 5).'&'.$sd.'&go=lookzam">Далее</a>';}
break;
case 'delzam':

$file=file("MySql/base123/clan/zam/$log.dat");
$fp=fopen("MySql/base123/clan/zam/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$id]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
echo "Заместитель удалён";
break;
}}else{echo"<small>Пароль или логин неверен!</small>";}

include_once"include/down.php";
?>







